FROM python:3.8-slim

WORKDIR app

# install dependencies
RUN apt-get update && apt-get install -y --no-install-recommends build-essential gcc

# improve build time - using cache
COPY requirements.txt ./
RUN pip install -r requirements.txt

COPY . /app

ENTRYPOINT [ "python", "manage.py", "runserver" ]
